/*==========Dolls==========--------------------------*/

#banner {
    width: 100%;
    margin-top: 0;
    padding-top: var(--content-top-padding);
    padding-bottom: var(--content-side-padding);
    background: url(../layout/background/floraltexture_1.jpg) no-repeat center;
    background-size: cover;
}

.ribbons {
    font: var(--body-sc);
    text-transform: uppercase;
    letter-spacing: var(--letter-spacing);
    width: calc(100% - 256px);
    margin: 2rem 0 0 8px;
}

.ribbons a {
    display: block;
    background: var(--secondary-light);
    padding: 2px;
    margin-bottom: var(--side-padding-sm);
    max-width: unset;
    text-align: unset;
}

.sign {
    margin-bottom: -4rem;
    text-align: right;
}

.sign h4 {
    border-right: var(--primary-dark) 8px solid;
    border-left: none;
    padding-right: 4px;
}

/*Galleries*/
#gallery {
    background: var(--secondary-light) url(../layout/background/gingham.svg) fixed right;
    background-size: var(--bg-sm);
}

#gallery a {
    display: inline-block;
}

#gallery img {
    width: 80px;
    float: left;
    background: var(--secondary-light);
}

#gallery > div {
    margin-bottom: 1rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.album {
    width: calc(50% - 4px);
    display: flex;
    align-items: flex-start;
    margin-top: 6px;
}

.album table {
    width: calc(100% - 82px);
    margin: 0;
    background: var(--secondary-light);
    border: var(--outline-light);
    border-left: none;
}
.album .details td, .album .details th {
    padding: 2px;
}

.album:hover table {
    border-color: var(--attn);
}

.album:hover table.details th {
    background: var(--attn);
}
.album:hover table.details td:first-child {
    background: var(--secondary-dark);
}
.album:hover img {
    border-color: var(--attn);
}

.dollfoto img {
    display: block;
    max-width: 100%;
    margin: var(--content-side-padding) auto 2rem auto;
}

/*Owner Profile*/
#content.fill #owner-profile {
    padding-top: 0;
}

#owner-profile h3 {
    margin-left: 0;
    padding: 0;
    background: none;
}

.owner-details {
    display: flex;
    align-items: flex-end;
}

.owner-details > .section:first-child {
    text-align: center;
    width: 60%;
    background: none;
    margin: 0 auto;
}
.owner-details > .section:last-child {
    width: 40%;
}

.owner-details p:last-child { margin-bottom: 0; }

.owner-details .decofield {
    background-image: url(../layout/deco/tulip-pink.svg);
}

.sign h2 {
    display: block;
    background-color: var(--primary-dark);
    margin: 0 auto 0 0;
    padding: 4px;
    margin-bottom: 0;
    text-shadow: none;
}

.owner-details img {
    width: 285px;
    height: 100%;
    margin: -6rem -2% -1rem -10%;
    position: relative;
}

#owner-profile .section {
    margin: 1rem 0;
    padding-bottom: 1rem;
    border-bottom: var(--gray) 1px solid;
}

#owner-profile .section:last-of-type {
    border-bottom: none;
}

#owner-profile .section.credits {
    background-color: var(--primary-dark);
    color: var(--secondary-light);
    padding: 4px;
}
#content #owner-profile .section.credits a { border-color: var(--secondary-light); background: none; }
#content #owner-profile .section.credits a:hover { background-color: var(--secondary-light); color: var(--primary-dark) }

#owner-profile ol li { font-weight: normal; }

#owner-profile th { padding: 0; }
#owner-profile th h3 { margin: 0; }

#owner-profile table.details td:first-child {
    text-align: left;
}

/*Doll Profiles*/

.p-item {
    display: flex;
    align-items: center;
    margin-bottom: 2rem;
}

.p-item:nth-child(even) {
    flex-direction: row-reverse;
}

.p-item > *:first-child {
    width: 50%;
    position: relative;
}
.p-item > *:last-child {
    width: 50%;
}


.p-item .pic::before {
    content: '';
    display: block;
    width: 100%;
    height: 124%;
    background: url(../layout/deco/ribbon-frame_a.png) no-repeat top center;
    background-size: contain;
    position: absolute;
    z-index: 1;
}

.p-item img {
    background: var(--primary-dark);
    mask-image: url(../layout/deco/ribbon-frame_mask_a.svg);
    mask-size: 100%;
    mask-repeat: no-repeat;
    -webkit-mask-image: url(../layout/deco/ribbon-frame_mask_a.svg);
    -webkit-mask-size: 100%;
    -webkit-mask-repeat: no-repeat;
}

.p-item:nth-child(2n) .pic::before {
    background-image: url(../layout/deco/ribbon-frame_b.png)
}
.p-item:nth-child(2n) img {
    mask-image: urlurl(assets/layout/deco/ribbon-frame_mask_b.svg);
    -webkit-mask-image: url(../layout/deco/ribbon-frame_mask_b.svg);
}

.p-item img {
    display: block;
    object-fit: cover;
    border: none;
    width: 100%;
}

.p-item .details td:first-child {
    width: 50%;
}


/*Media Query*/
@media screen and (max-width: 800px) {
    
    .menu {
        margin-bottom: 1rem;
    }
    
    .album {
        width: 100%;
    }
    
    .ribbons {
        width: 100%;
        margin: 0;
    }
    
    .owner-details img {
        display: none;
    }
    
    .p-item { display: block; }
    .p-item > :last-child, .p-item > :first-child { width: 100%; }
    
    .boardsim #frame { padding: 0 24px; }
    .boardsim .thread { margin: 0; }
    .boardsim .op .filethumb { float: none; }
}
